<?php
/**
* @version      1.0.0 15.01.2018
* @author       MAXXmarketing GmbH
* @package      Auto login after register
* @copyright    Copyright (C) 2018 http://www.wop-agentur.com. All rights reserved.
*/

if( !defined( 'ABSPATH' ) ) {
    
    exit; // Exit if accessed directly
        
}

class AutoLoginAfterRegisterWshopAddon extends WshopAddon {
    
    public function __construct(  ) {
        
        $this->addon_alias = 'autologinafterregister';
        $this->loadLanguage(  );
        
    }
        
    public function loadActions() {
        
        add_action( 'onAfterRegister',  array( $this, 'onAfterRegister' ), 10, 3 );
        
    }
    
    public function onAfterRegister( &$user, &$row, &$post ) {
        
        $params    = $this->getAddonParams(  );
        $mainframe = Factory::getApplication(  );
        
        $credentials = array(  );
        $credentials['username'] = $post['username'];
        $credentials['password'] = $post['password'];
        $credentials['remember'] = false;
        
        $secure_cookie = false;
        do_action_ref_array( 'onBeforeLogin', array( &$credentials, &$secure_cookie, &$return ) );
        
        $error = $mainframe->login($credentials, $secure_cookie);
        
        if( $params->page_to_redirect == '0' || !$params->page_to_redirect ) {
            
            wp_redirect( site_url(  ) );
            exit;
            
        } else {
            
            wp_redirect( get_permalink( $params->page_to_redirect ) );
            exit;
            
        }
        
    }
    
}